#ifndef TOEQMDATABASE_H
#define TOEQMDATABASE_H

#include "spdlog/spdlog.h"
#include "lhhttpapi.h"
#include "GlobalInfo.h"

class ToEQMDataBase
{
public:
    ToEQMDataBase();
    ~ToEQMDataBase();

    /* 初始化WebAPI */
    bool initWebApi(const QString& url,const QString& serverIP,const QString& serID);
    /* 写入算法信息，写入tAction表 */
    bool writeAlgorithmInfo(std::vector<AlgorithmInfo>& vecInfo);
    /* 删除算法信息 */
    bool deleteAlgorithmInfo(std::vector<AlgorithmInfo>& vecDeleteInfo);
    /* 获取tAction数据 */
    bool getAlgorithmInfo(std::vector<AlgorithmInfo>& vecInfo);
    /* 插入设备信息 */
    bool insertDeviceInfo(std::vector<DeviceInfo>& vecInfo);
    /* 更新设备信息 */
    bool updateDeviceInfo(std::vector<DeviceInfo>& vecUpdateInfo);
    /* 删除设备信息 */
    bool deleteDeviceInfo(std::vector<DeviceInfo>& vecDeleteInfo);
    /* 从EQM获取CamerInfo信息 */
    bool getDeviceInfo(std::vector<DeviceInfo>& vecInfo);

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    lhhttpapi* m_httpApi = nullptr;
    QString m_userToken;
};


#endif /* TOEQMDATABASE_H */
