

#include "spdlog/spdlog.h"
#include "SPAServer.h"
#include "LHLogInit.h"
#include "LHQLogAPI.h"
#include "ThreadPool/ThreadPool.h"
#include <QCoreApplication>

#include <QString>
#include "RingQueue.hpp"

RingQueue<QString> g_queue(10);



int main(int argc, char* argv[])
{
    QCoreApplication app(argc, argv);
    /* 初始化日志库 */
    initLog("SecurePlayAuxServer", g_apiLhQLog);
    auto logger = spdlog::get("main");
    if(logger == nullptr)
    {
        SPDLOG_ERROR("main logger is nullptr");
        return -1;
    }
    SPDLOG_LOGGER_INFO(logger, "★  ★  ★  ★  ★  ☆  SecurePlayAuxServer  ☆  ★  ★  ★  ★  ★");
    /* 设置线程池最大线程个数 */
    CPPTP.setThreadMaxNum(256);

    SPAServer server;
    server.startServer();

    return app.exec();
}



